#pragma once

#include <string>  // Para string
#include <vector>  // Para vector

class RoomTracker {
   public:
    RoomTracker() = default;   // Constructor
    ~RoomTracker() = default;  // Destructor

    auto addRoom(const std::string& name) -> bool;  // Añade la habitación a la lista

   private:
    auto hasBeenVisited(const std::string& name) -> bool;  // Comprueba si ya ha sido visitada

    std::vector<std::string> rooms_;  // Lista con habitaciones visitadas
};
